## hildon-desktop 0.0.0-2

=== test/minihome/Makefile ===
ALL: minihome

CPP_FLAGS+=-I../../src

hildon-home-select-applets-dialog.o: hildon-home-select-applets-dialog.c hildon-home-select-applets-dialog.h
	gcc $(CPP_FLAGS)-Wall -Werror -g -o hildon-home-select-applets-dialog.o -c hildon-home-select-applets-dialog.c `pkg-config --cflags libhildondesktop`

minihome: minihome.c hildon-home-select-applets-dialog.o
	gcc $(LD_FLAGS) $(CPP_FLAGS)-Wall -Werror -g -o minihome minihome.c hildon-home-select-applets-dialog.o `pkg-config --libs --cflags libhildondesktop`

=== debian/changelog ===
hildon-desktop (0.0.0-2) unstable; urgency=low

  * Temporary add hildon-base-lib-dev as build-dep 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  5 Dec 2006 16:19:57 +0200

hildon-desktop (0.0.0-1) unstable; urgency=low

  * First version of the packaging

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  5 Dec 2006 14:25:43 +0200

=== debian/control ===
Source: hildon-desktop
Section: x11
Priority: optional
Maintainer: Johan Bilien <johan.bilien@nokia.com>
Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev (>= 0.14.9), pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, hildon-fm-dev (>= 0.15), libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev, hildon-base-lib-dev
Standards-Version: 3.6.0
 
Package: hildon-desktop
Section: x11
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
Conflicts: maemo-af-desktop
Replaces: maemo-af-desktop
Provides: maemo-af-desktop
Description: Desktop environment for embedded devices
  Hildon Desktop is a desktop environment for embedded devices. It
  is based on the GNOME platform

Package: hildon-desktop-dbg
Section: devel
Architecture: any
Depends: hildon-desktop (=${Source-Version})
Description: Debug symbols for hildon-desktop
  Debug symbols for hildon-desktop

Package: libhildondesktop0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libhildondesktop shared library
  Set of widgets to build desktop elements in the Hildon Desktop
  environment

Package: libhildondesktop-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version})
Description: libhildondesktop development files
  Development headers and static libraries for the libhildondesktop

Package: libhildondesktop0-dbg
Section: devel
Architecture: all
Depends: libhildondesktop0 (=${Source-Version})
Description: libhildondesktop debug symbols
  Debugging symbols for libhildondesktop0

Package: libhildonwm0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libhildonwm shared library
  Set of tools for window managing from desktop environments

Package: libhildonwm-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version})
Description: libhildonwm development files
  Development headers and static libraries for the libhildonwm

Package: libhildonwm0-dbg
Section: devel
Architecture: all
Depends: libhildonwm0 (=${Source-Version})
Description: libhildonwm debug symbols
  Debugging symbols for libhildonwm0

## hildon-desktop 0.0.0-5

=== debian/changelog ===
hildon-desktop (0.0.0-5) unstable; urgency=low

  * Fixed conffiles 
  * Added background manager to the package

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Jan 2007 12:19:28 +0200

hildon-desktop (0.0.0-4) unstable; urgency=low

  * Include headers in -dev packages 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Jan 2007 11:33:44 +0200

hildon-desktop (0.0.0-3) unstable; urgency=low

  * Do not replace maemo-af-desktop until it's usable 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Jan 2007 09:57:39 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,6 @@
 Section: x11
 Architecture: any
 Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
-Conflicts: maemo-af-desktop
-Replaces: maemo-af-desktop
-Provides: maemo-af-desktop
 Description: Desktop environment for embedded devices
   Hildon Desktop is a desktop environment for embedded devices. It
   is based on the GNOME platform

## hildon-desktop 0.0.0-7

=== debian/changelog ===
hildon-desktop (0.0.0-7) unstable; urgency=low

  * Added hildon-desktop-dev for the plugin loader writers 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 18 Jan 2007 18:00:46 +0200

hildon-desktop (0.0.0-6) unstable; urgency=low

  * Added .desktop files for built-in plugins
  * Added .pc file 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 18 Jan 2007 17:34:52 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,15 @@
 Description: Desktop environment for embedded devices
   Hildon Desktop is a desktop environment for embedded devices. It
   is based on the GNOME platform
+
+Package: hildon-desktop-dev
+Section: x11
+Architecture: all
+Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
+Description: Development files for the Hildon Desktop
+  Hildon Desktop is a desktop environment for embedded devices. It
+  is based on the GNOME platform. This package contains the
+  development headers required to create new plugin loaders.
 
 Package: hildon-desktop-dbg
 Section: devel

## hildon-desktop 0.0.0-10

=== debian/changelog ===
hildon-desktop (0.0.0-10) unstable; urgency=low

  * libhildonwm/hd-wm.[ch]
  - created application-starting signal to which the launch-bannering
  should be connected
  - do not launch the banner from the window manager code

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Feb 2007 18:55:52 +0200

hildon-desktop (0.0.0-9) unstable; urgency=low

  * src/hd-panel-window-dialog.c:
  - Listening to new signal "queued-button" instead GtkContainer's "add"
  * libhildondesktop/hildon-desktop-panel.c:
  - Fixed "add-button" signal.
  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Emit new signal "queued-button" whenever a button is queued to be in
  the statusbar panel
  * data/statusbar.conf: add presence plugin

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Feb 2007 17:03:46 +0200

hildon-desktop (0.0.0-8) unstable; urgency=low

  * Moved build-dep from hildon-libs-dev to libhildon1-dev 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Feb 2007 15:06:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), hildon-libs-dev (>= 0.14.9), pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, hildon-fm-dev (>= 0.15), libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev, hildon-base-lib-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, hildon-fm-dev (>= 0.15), libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev, hildon-base-lib-dev
 Standards-Version: 3.6.0
  
 Package: hildon-desktop

## hildon-desktop 0.0.0-12

=== debian/changelog ===
hildon-desktop (0.0.0-12) unstable; urgency=low

  * Added startup script to the package

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 16 Feb 2007 14:05:19 +0200

hildon-desktop (0.0.0-11) unstable; urgency=low

  * New experimental snapshot

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 15 Feb 2007 15:08:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,8 @@
 Section: x11
 Architecture: any
 Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
+Conflicts: maemo-af-desktop
+Replaces: maemo-af-desktop
 Description: Desktop environment for embedded devices
   Hildon Desktop is a desktop environment for embedded devices. It
   is based on the GNOME platform

## hildon-desktop 0.0.0-16

=== debian/changelog ===
hildon-desktop (0.0.0-16) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 16:33:18 +0200

hildon-desktop (0.0.0-15) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 16:10:51 +0200

hildon-desktop (0.0.0-14) unstable; urgency=low

  * src/hildon-desktop.pc.in,
    libhildondesktop/libhildondesktop.pc.in,
    libhildonwm/libhildonwm.pc.in: require libhildon-1 rather
    than hildon-libs
  * configure.ac, src/hd-home-background-dialog.c: Include
    hildon/ instead of hildon-widgets/ when compiled
    against libhildonfm-2

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 15:44:08 +0200

hildon-desktop (0.0.0-13) unstable; urgency=low

  * Replaced build-dep on hildon-fm-dev with build-dep on
    libhildonfm2-dev 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 14:55:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, hildon-fm-dev (>= 0.15), libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev, hildon-base-lib-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev, libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev, hildon-base-lib-dev
 Standards-Version: 3.6.0
  
 Package: hildon-desktop

## hildon-desktop 0.0.0-17

=== debian/changelog ===
hildon-desktop (0.0.0-17) unstable; urgency=low

  * src/Makefile.am: Added LAUNCHER_LDFLAGS to the link

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Feb 2007 17:13:55 +0200

## hildon-desktop 0.0.0-18

=== debian/changelog ===
hildon-desktop (0.0.0-18) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 10:42:25 +0200

## hildon-desktop 0.0.0-19

=== debian/changelog ===
hildon-desktop (0.0.0-19) unstable; urgency=low

  * Added dependency on l10n 

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 11:35:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: hildon-desktop
 Section: x11
 Architecture: any
-Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
+Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, maemo-af-desktop-l10n-mr | maemo-af-desktop-l10n-mr0
 Conflicts: maemo-af-desktop
 Replaces: maemo-af-desktop
 Description: Desktop environment for embedded devices

## hildon-desktop 0.0.0-20

=== debian/changelog ===
hildon-desktop (0.0.0-20) unstable; urgency=low

  * src/hn-app-switcher.c: fix app switcher menu positioning taking the
  panel orientation into account. 

  * libhildondesktop/hildon-home-titlebar.c: Work around a bug
  in GTK+/matchbox by not attaching the menu to the titlebar

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 14:23:25 +0200

## hildon-desktop 0.0.0-21

=== debian/changelog ===
hildon-desktop (0.0.0-21) unstable; urgency=low

  * libhildonwm/hd-wm.c: Initialize DBus error

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Feb 2007 14:51:26 +0200

## hildon-desktop 0.0.0-22

=== debian/changelog ===
hildon-desktop (0.0.0-22) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 26 Feb 2007 17:41:58 +0200

## hildon-desktop 0.0.0-24

=== debian/changelog ===
hildon-desktop (0.0.0-24) unstable; urgency=low

  * conffiles should have absolute path

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 10:30:39 +0200

hildon-desktop (0.0.0-23) unstable; urgency=low

  * New experimental snaptshot
  * hildon-desktop-dev depends on libhildondesktop-dev and libhildonwm-dev 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 10:20:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev, libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev, hildon-base-lib-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev, libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev
 Standards-Version: 3.6.0
  
 Package: hildon-desktop
@@ -18,7 +18,7 @@
 Package: hildon-desktop-dev
 Section: x11
 Architecture: all
-Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}
+Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, libhildondesktop-dev, libhildonwm-dev
 Description: Development files for the Hildon Desktop
   Hildon Desktop is a desktop environment for embedded devices. It
   is based on the GNOME platform. This package contains the

## hildon-desktop 0.0.0-25

=== debian/changelog ===
hildon-desktop (0.0.0-25) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 14:20:25 +0200

## hildon-desktop 0.0.0-26

=== debian/changelog ===
hildon-desktop (0.0.0-26) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 17:36:30 +0200

## hildon-desktop 0.0.0-28

=== debian/changelog ===
hildon-desktop (0.0.0-28) unstable; urgency=low

  * hildon-desktop-dev should not depend on maemo-launcher

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  2 Mar 2007 12:36:37 +0200

hildon-desktop (0.0.0-27) unstable; urgency=low

  * libhildonwm-dev depends on libx11-dev and libxtst-dev

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  1 Mar 2007 18:20:56 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Package: hildon-desktop-dev
 Section: x11
 Architecture: all
-Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, libhildondesktop-dev, libhildonwm-dev
+Depends:  ${shlibs:Depends}, ${misc:Depends}, libhildondesktop-dev, libhildonwm-dev
 Description: Development files for the Hildon Desktop
   Hildon Desktop is a desktop environment for embedded devices. It
   is based on the GNOME platform. This package contains the
@@ -63,7 +63,7 @@
 Package: libhildonwm-dev
 Section: devel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev
 Description: libhildonwm development files
   Development headers and static libraries for the libhildonwm

## hildon-desktop 0.0.0-29

=== debian/changelog ===
hildon-desktop (0.0.0-29) unstable; urgency=low

  * libhildonwm-dev depends on libhildon1-dev
  * libhildondesktop-dev depends on libhildon1-dev and libxml2-dev
  * added applications.menu to the package and conffiles
  * consequently hildon-desktop conflicts with maemo-af-desktop-config

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  5 Mar 2007 10:10:14 +0200

## hildon-desktop 0.0.0-30

=== debian/changelog ===
hildon-desktop (0.0.0-30) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Mar 2007 13:58:15 +0200

## hildon-desktop 0.0.0-31

=== debian/changelog ===
hildon-desktop (0.0.0-31) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue,  6 Mar 2007 18:01:36 +0200

## hildon-desktop 0.0.0-32

=== debian/changelog ===
hildon-desktop (0.0.0-32) unstable; urgency=low

  * New experimental snapshot 

 -- Johan Bilien <johan.bilien@nokia.com>  Fri,  9 Mar 2007 17:59:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Section: x11
 Architecture: any
 Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, maemo-af-desktop-l10n-mr | maemo-af-desktop-l10n-mr0
-Conflicts: maemo-af-desktop
+Conflicts: maemo-af-desktop, maemo-af-desktop-config
 Replaces: maemo-af-desktop
 Description: Desktop environment for embedded devices
   Hildon Desktop is a desktop environment for embedded devices. It
@@ -42,7 +42,7 @@
 Package: libhildondesktop-dev
 Section: devel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libhildon1-dev, libxml2-dev
 Description: libhildondesktop development files
   Development headers and static libraries for the libhildondesktop
 
@@ -63,7 +63,7 @@
 Package: libhildonwm-dev
 Section: devel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev, libhildon1-dev
 Description: libhildonwm development files
   Development headers and static libraries for the libhildonwm

## hildon-desktop 0.0.0-33

=== debian/changelog ===
hildon-desktop (0.0.0-33) unstable; urgency=low

  * Move from libosso-help to hildon-help

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 14 Mar 2007 12:45:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev, libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev, libhildonhelp-dev, libxtst-dev, libxml2-dev, osso-esd-dev
 Standards-Version: 3.6.0
  
 Package: hildon-desktop

## hildon-desktop 0.0.0-34

=== debian/changelog ===
hildon-desktop (0.0.0-34) unstable; urgency=low

  * Conflict with maemo-af-desktop < 3.0.0 (transition package) 

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 20 Mar 2007 15:57:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 Section: x11
 Architecture: any
 Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, maemo-af-desktop-l10n-mr | maemo-af-desktop-l10n-mr0
-Conflicts: maemo-af-desktop, maemo-af-desktop-config
-Replaces: maemo-af-desktop
+Conflicts: maemo-af-desktop (<< 3.0.0), maemo-af-desktop-config
 Description: Desktop environment for embedded devices
   Hildon Desktop is a desktop environment for embedded devices. It
   is based on the GNOME platform

## hildon-desktop 0.0.0-35

=== debian/changelog ===
hildon-desktop (0.0.0-35) feisty; urgency=low

  * New experimental snapshot
  * Updated build-dep on osso-af-settings to 0.0.0-35 

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 23 Mar 2007 13:36:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev, libhildonhelp-dev, libxtst-dev, libxml2-dev, osso-esd-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings (>= 0.9.0), libhildonfm2-dev, libhildonhelp-dev, libxtst-dev, libxml2-dev, osso-esd-dev
 Standards-Version: 3.6.0
  
 Package: hildon-desktop
@@ -55,7 +55,7 @@
 Package: libhildonwm0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libgconf2-dev
 Description: libhildonwm shared library
   Set of tools for window managing from desktop environments

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
   LAUNCHER = yes
endif

ifeq "$(strip $(LAUNCHER))" "yes"
   LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
   LAUNCHER_LDFLAGS = -shared
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb -fPIC
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -ggdb -DDEBUG
endif

# shared library versions, option 1
version=0.0.0
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dependency-tracking


build: build-stamp
build-stamp:  config.status
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
#	dh_clean -k 
	dh_installdirs

# Add here commands to install the package into debian/build
	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
ifeq "$(strip $(LAUNCHER))" "yes"
	mv debian/build/usr/bin/hildon-desktop debian/build/usr/bin/hildon-desktop.launch
	ln -s maemo-invoker debian/build/usr/bin/hildon-desktop
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	./autogen.sh
	touch configure-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installexamples
	dh_installdocs
	dh_install --sourcedir=debian/build -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package="hildon-desktop" --dbg-package="libhildondesktop0" --dbg-package="libhildonwm0"
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hildon-desktop 0.0.1-1

=== debian/changelog ===
hildon-desktop (0.0.1-1) unstable; urgency=low

  * src/hn-app-switcher:
  - Fixed navigation through swap key when is highest element.

  * src/hn-app-switcher.c: 
  - Handling of swap key fixed.
  - Open thumb menu when swap key pressed.
  * libhildonwm/hd-wm.c (working copy):
  - Created constructor and moved DBus initialization to constructor.

  * src/hd-home-background.c, src/hd-desktop.c,
  src/hd-plugin-loader-factory.c, libhildondesktop/libhildonmenu.c,
  libhildondesktop/hildon-desktop-plugin.c,
  libhildondesktop/hildon-desktop-panel-window-dialog.c: fixed a bunch
  of build warnings.      

  * autogen.sh: run configure script to be jhbuild friendly.

  * doxyconf: Removed
  * configure.ac: Look for gdx-x11
  * libhildonwm/hd-wm.c: fixed some headers
  * libhildonwm/Makefile.am: Links against gdk not hildon

  * Src/hn-app-switcher.c: Use hildon_helper_event_button_is_finger 
  if hildon-1 is present.

  * libhildondesktop/hildon-desktop-plugin.h:
  - new macro HILDON_DESKTOP_PLUGIN_SYMBOLS_CODE to add code in load
  and unload symbols.
  * libhildondesktop/libhildondesktop.h
  - new macro HD_DEFINE_PLUGIN_EXTENDED to register the plugin and 
  add code in load and unload exported symbols.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 28 Mar 2007 17:09:15 +0300

hildon-desktop (0.0.0-36) unstable; urgency=low

  * libhildonwm-dev should depend on libgonf2-dev, not libhildonwm0

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 26 Mar 2007 14:22:41 +0300

hildon-desktop (0.0.0-35) unstable; urgency=low

  * New experimental snapshot
  * Updated build-dep on osso-af-settings to 0.0.0-35 

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 23 Mar 2007 13:36:55 +0200

## hildon-desktop 0.0.2-1

=== debian/changelog ===
hildon-desktop (0.0.2-1) unstable; urgency=low

  * libhildondesktop/hildon-home-area.c:
  - Sort the region before using for placement
  * src/hd-desktop.c:
  - Fixed the path used to load the containers

  * libhildondesktop/hildon-home-area.c:
  - added applet-padding property which specifies the padding
  between newly added applets
  - re-implemented auto-arrange without using GdkRegion, whose
  rectangle decomposition was not the one specified.

  * src/hd-desktop.c:
  - Use old DOCK_TITLEBAR on hildon-desktop-window-dialog child class
  - Deleted padding
  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Fixed number of items per row in extension panel.
  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - Implemented old DOCK_TITLEBAR as optional.
  * libhildondesktop/hildon-desktop-panel-window.c:
  - Never resize/move window if move is FALSE.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Fixed size of items in extension table.

  * libhildondesktop/hildon-desktop-home-item.[ch]:
  - removed hildon_desktop_home_item_save_position ()
  * libhildondesktop/hildon-home-area.c:
  - added private hildon_home_area_child_save_position ()

  * libhildondesktop/hildon-desktop-home-item.c:
  - never snap to outside the area
  * libhildondesktop/hildon-home-window.c:
  - fixed wrong allocation

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 12:21:10 +0300

## hildon-desktop 0.0.2-2

=== debian/changelog ===
hildon-desktop (0.0.2-2) feisty; urgency=low

  * Forgot the magic:
    + Implemented: NR#167413, NR#167412 NR#167224, NR#167638, NR#167206

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 12:52:20 +0300

## hildon-desktop 0.0.3-1

=== debian/changelog ===
hildon-desktop (0.0.3-1) feisty; urgency=low

  * data/Makefile.am:
  * data/desktop.conf.in:
  - Reverted statusbar panel

  * libhildondesktop/hildon-status-bar-item.h:
  - Fixed GET_TYPE macro

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 16:32:47 +0300

## hildon-desktop 0.0.4-1

=== debian/changelog ===
hildon-desktop (0.0.4-1) sardine; urgency=low

  * data/statusbar.conf: Added all the plugins from IT-2007

  * src/hd-plugin-loader-legacy.c:
  - also show_all legacy statusbar widgets

  * src/hd-home-background-dialog.c:
  - copy the background instead of reffing it.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - fixed a compilation warning

  * src/hd-plugin-loader-legacy.c:
  - call show_all on the home widgets as it was done in
  maemo-af-desktop

  * src/hn-app-switcher.c:
  - moved creation of the internal VBox from the constructor
  to the _orientation_changed. Fixes a warning

  * configure.ac: Fixed typo in statusbardesktopentrydir

  * libhildonwm/hd-wm.c:
  - Moved key's signal connection to constructor. Fixes: NB#53697

  * libhildondesktop/hildon-thumb-menu-item.c: make the needed checks to
  avoid hard dependency on Maemo GTK+.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed,  4 Apr 2007 09:11:13 +0300

hildon-desktop (0.0.3-1) sardine; urgency=low

  * data/Makefile.am:
  * data/desktop.conf.in:
  - Reverted statusbar panel

  * libhildondesktop/hildon-status-bar-item.h:
  - Fixed GET_TYPE macro

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 16:32:47 +0300

hildon-desktop (0.0.2-2) sardine; urgency=low

  * Forgot the magic:
    + Implemented: NR#167413, NR#167412 NR#167224, NR#167638, NR#167206

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  2 Apr 2007 12:52:20 +0300

=== debian/control ===
--- 
+++ 
@@ -55,14 +55,14 @@
 Package: libhildonwm0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgconf2-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: libhildonwm shared library
   Set of tools for window managing from desktop environments
 
 Package: libhildonwm-dev
 Section: devel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev, libhildon1-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev, libhildon1-dev, libgconf2-dev
 Description: libhildonwm development files
   Development headers and static libraries for the libhildonwm

## hildon-desktop 0.0.6-1

=== debian/changelog ===
hildon-desktop (0.0.6-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - Code cleanup 
  * libhildondesktop/hildon-desktop-panel-window.c:
  - If the window is not to be moved, it uses parent implementations for
  check_resize, size_request and size_allocation.
  * data/desktop.conf.in:
  - Changed size of statusbar panel.
  Fixes: NB#53998

  * src/hd-desktop.c:
  - Implemented banner when launching applications. Fixes: NB#53974
  * libhildonwm/hd-wm.c:
  - Removed all dbus method for launching banners.
  - Send application starting signal when launched by DBus.
  * libhildonwm/hd-wm-watchable-app.c:
  - Never return maemo-af-desktop when trying to get localized name of
  watchable application.

  * src/hn-others-button.c: Set active others menu's toggle button when
  opened by using right key. Fixes: NB#54020.

  * libhildondesktop/hildon-home-area.c:
  - mark the layout as changed when adding an applet. Fixes: NB#53972

  * src/hd-home-background-dialog.c:
  - make the dialog modal. Fixes: NB#53971

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 12 Apr 2007 17:40:02 +0300

hildon-desktop (0.0.5-1) sardine; urgency=low

  * libhildondesktop/hildon-home-area.c: Fixed an illegal free

  * libhildonwm/hd-wm.c: Fixed some hdwm->keys cases left.
  * src/hn-app-switcher.c: Menu thumb fixed when no entries are added.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu,  5 Apr 2007 09:35:11 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings (>= 0.9.0), libhildonfm2-dev, libhildonhelp-dev, libxtst-dev, libxml2-dev, osso-esd-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev | hildon-libs-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev | hildon-libs-dev, libhildonhelp-dev | libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev
 Standards-Version: 3.6.0
  
 Package: hildon-desktop

## hildon-desktop 0.0.7-1

=== debian/changelog ===
hildon-desktop (0.0.7-1) sardine; urgency=low

  * src/hn-app-switcher.c:
  - Grab focus for appswitcher's main button when left key is pressed.
  Fixes: NB#54247

  * libhildonwm/hd-wm-c:
  - Added dbus method previously removed.
  * src/hd-desktop.c:
  - Only check timeout value.

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - Set no of items for container to 7. Fixes: NB#54193

  * src/hn-app-switcher.c:
  - Place main menu according to fullscreen mode. Fixes: NB#53969
  * src/hn-app-button.c:
  - Implemented proper left/right rocker behavior.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 17 Apr 2007 09:39:31 +0300

## hildon-desktop 0.0.8-1

=== debian/changelog ===
hildon-desktop (0.0.8-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Fixed a lot of issues to get it built.
  * libhildondesktop/Makefile.am:
  - Added HildonDesktopPopupWindow to building batch

  * libhildondesktop/hildon-home-area.c:
  - fixed an infinite loop in some situations.
  Fixes: NB#53973

  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Added stubs for new popup window.
  * libhildondesktop/hildon-desktop-notification-manager.[ch]:
  * libhildondesktop/hildon-desktop-panel-expandable.[ch]:
  * libhildondesktop/hildon-desktop-panel-window-dialog.[ch}:
  - fixed (c) year

  * libhildondesktop/hildon-desktop-notification-manager.[ch],
  libhildondesktop/notification-manager.xml: implemented notification 
  action and close support in the notification manager. Changed public 
  API to make it saner for direct use.

  * libhildonwm/hd-wm.c:
  - No add parameters to awake a bgkilled process. Fixes: NB#54499

  * libhildonwm/hd-keys.[ch]:
  - Added new actions as stubs.
  * libhildonwm/hd-wm.[ch]:
  - Implemented switching among windows from the same application.

  * debian/control: build dependency on hildon-1 or hildon-libs to be 
  more Bora build friendly.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 23 Apr 2007 10:19:02 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Section: x11
 Architecture: any
 Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, maemo-af-desktop-l10n-mr | maemo-af-desktop-l10n-mr0
-Conflicts: maemo-af-desktop (<< 3.0.0), maemo-af-desktop-config
 Description: Desktop environment for embedded devices
   Hildon Desktop is a desktop environment for embedded devices. It
   is based on the GNOME platform
@@ -41,7 +40,7 @@
 Package: libhildondesktop-dev
 Section: devel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libhildon1-dev, libxml2-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libhildon1-dev | hildon-libs-dev, libxml2-dev
 Description: libhildondesktop development files
   Development headers and static libraries for the libhildondesktop
 
@@ -62,7 +61,7 @@
 Package: libhildonwm-dev
 Section: devel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev, libhildon1-dev, libgconf2-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev, libhildon1-dev | hildon-libs-dev, libgconf2-dev
 Description: libhildonwm development files
   Development headers and static libraries for the libhildonwm

## hildon-desktop 0.0.10-1

=== debian/changelog ===
hildon-desktop (0.0.10-1) unstable; urgency=low

  * src/hn-app-switcher.c, src/hd-home-window.c, src/hn-others-button.c,
  libhildondesktop/hildon-home-titlebar.c:
  - define ENABLE_UNSTABLE_API when include hildon-helper.h, as this
  seems now required

  * src/hd-desktop.c:
  - Fixed the leak of the configuration file buffer
  - Fixed the leak of the array returned by g_key_file_get_groups

  * libhildondesktop/hildon-desktop-popup-menu.ch:
  - Each item has a pre-specified size except GtkSeparatorMenuItems.
  - Added method to scroll to pre-selected item. Based on size of each item.
  - Now inherits from a GtkVBox
  - Set proper size to internal GtkScrolledWindow.
  - Added scroll buttons.
  - Several bugfixes.
  * libhildondesktop/hildon-desktop-popup-window.ch:
  - Emit signal when popping up the menu. (to be used along
  "scrolling-to" HildonDesktopPopupMenu functionality).

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 26 Apr 2007 15:12:19 +0300

hildon-desktop (0.0.9-1) sardine; urgency=low

  * fixed build-dependency on libhildonfm2-dev | hildon-libs-dev to
     libhildonfm2-dev | hildon-fm-dev

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - Connect to "notify::condition" instead of deprecated signal.
  Fixes: NB#53988

  * data/applications.menu: the e-mail client is now called
  modest

  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Added item's activation

  * libhildondesktop/hildon-desktop-popup-window.c:
  - Fixed Horizontal positioning. Vertical pending.

  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Added basic implementation of new menu.
  * Makefile.am:
  - Added HildonDesktopPopupMenu to building batch

  * libhildondesktop/notification-manager.xml: renamed
  hildon_desktop_notification_manager_add_notification to
  hildon_desktop_notification_manager_notify.
  * libhildondesktop/hildon-desktop-notification-manager.[ch]: added
  support for D-Bus callbacks (with basic types parameters) on notifications
  backend. The callback description goes through a "dbus-callback" hint.
  The D-Bus callback is called as the default action if defined. Fixed some
  memory management problems.

  * libhildondesktop/hildon-desktop-popup-window.c:
  - Added forgotten _finalize

  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Added new methods to access panes.
  - Fixed behavior.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 24 Apr 2007 18:15:13 +0300

## hildon-desktop 0.0.11-2

=== debian/changelog ===
hildon-desktop (0.0.11-2) sardine; urgency=low

  * debian/conffiles: removed home-background.conf

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  7 May 2007 15:25:34 +0300

hildon-desktop (0.0.11-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-window-dialog.c:
  - add gdk_error_trap_ around XGetWindowProperty
  - do not crash if the property is not set

  * src/hd-desktop.c: watch notification with system.note.infoprint and
  system.note.dialog instead of system.note_dialog and
  system.note_infoprint.
  * libhildondesktop/hildon-desktop-notification-manager.[ch],
  libhildondesktop/notification-manager.xml: added SystemNoteDialog
  and SystemNoteInfoprint D-Bus methods to be used by libosso. Check if
  the actions list is valid and don't use in case it's invalid.

  * src/hd-home-window.c:
  - when no default background, revert to a black one rather
  than NULL

  * libhildonwm/hd-keys.[ch]:
  - Added new shortcuts.
  * libhildonwm/hd-wm.[ch]:
  * libhildonwm/hd-wm-types.h:
  * src/hn-others-button.c:
  - Renamed others menu to new & fancy "all menu"

  * src/hd-home-window.c:
  - read /usr/share/backgrounds/default.desktop
  to determine the default background.
  * data/home-background.conf:
  - removed, the default background settings are now fully fetched
  from the theme and the above mentioned file

  * src/hd-switcher-menu-item.[ch]:
  - Several minor bugfixes.
  * src/hd-switcher-menu.c:
  - Added basic support for notifications.

  * libhildondesktop/hildon-desktop-notification-manager.[ch]: several
  code cleanups and crasher fixes. Added "notification-closed" signal.
  * src/hd-desktop: implemented system notifications support in the
  desktop. Notification manager is used as backend.

  * src/hd-switcher-menu.[ch]:
  - New builtin plugin. Application Switcher & Notifications Menu.
  * src/hd-plugin-loader-builtin.c:
  - Added new hd-switcher-menu.
  * src/hn-app-switcher.c:
  - Removed main menu. Clenup.
  * src/hd-switcher-menu-item.[ch]:
  - Replaces hn-app-menu-item. No thumbable yet.
  * src/hn-app-menu-item.[ch]:
  - Deleted
  * src/hn-app-button.c:
  - Replaced hn-app-menu-item with hd-switcher-menu-item
  * src/hn-others-button.c:
  - Removed useless call to hn_app_switcher.
  * src/Makefile.am:
  - updated
  * src/hd-switcher-menu.[ch]:
  - New builtin plugin. Application Switcher & Notifications Menu.
  * configure.ac:
  * data/tasknavigator.conf.in:
  * data/switcher-menu.desktop.in:
  * data/Makefile.am:
  - Updated with new additions.

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed item-height.
  - Pack the items at the end.

  * src/hn-app-switcher.c:
  - changed menu button name to -button4
  - changed menu button height to 60
  * src/hn-app-button.c:
  - changed button height to 60
  * src/hn-others-button.c, libhildondesktop/hildon-desktop-panel.c:
  - changed button height to 80

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Implemented new signal to handle resizing
  - Implemented auto-resizing of parent window.
  * libhildondesktop/hildon-desktop-popup-window.[ch]:
  - Removed gtk_widget_show_all
  - Added method to recalculate position.

  * libhildonwm/hd-wm.c: do not handle the matchbox client list if
  it could not be retrieved

  * libhildondesktop/hildon-home-area.c: Fixed double unref

  * libhildondesktop/hildon-desktop-notification-manager.c: fix crash
  when notification is activated before timeout.

  * configure.ac:
  - fixed detection of libxcomposite and libxdamage

  * src/hd-home-window.c:
  - new menu layout

  * src/hd-home-window.c:
  - layout mode is now considered to suck again.
  - added temporary alpha adjustment dialogs
  * libhildondesktop/hildon-desktop-item.c:
  - renamed "name" property to "item-name" (was conflicting with the
  widget name)
  * libhildondesktop/hildon-desktop-home-item.c:
  - added "state" property, whether the applet is being moved
  or resized
  - added background-borders style property
  - layout mode sucks by default
  * libhildondesktop/hildon-home-area.c:
  - added "default-alpha" property
  - added "child-data" child property containing XRender picture
  for the child and its alpha-mask
  - added handlers for the child's style-set, realize, size-allocate
  to redirect the child to offscreen and create the scaled
  alpha mask accordingly
  - added _realize/_unrealize to create a XRender Picture
  - added _expose to composite the children on the area
  - added child window filter to repair the damage to the
  children
  - removed simple placement algorithm
  * configure.ac: check for libxdamage and libxcomposite

  * libhildondesktop/hildon-desktop-notification-manager.c: generalize
  the dbus callback support so that dbus callbacks can be associated
  with any notification action.

  Implemented: NR#167705, NR#167718

 -- Johan Bilien <johan.bilien@nokia.com>  Mon,  7 May 2007 14:49:38 +0300

hildon-desktop (0.0.10-1) sardine; urgency=low

  * src/hn-app-switcher.c, src/hd-home-window.c, src/hn-others-button.c,
  libhildondesktop/hildon-home-titlebar.c:
  - define ENABLE_UNSTABLE_API when include hildon-helper.h, as this
  seems now required

  * src/hd-desktop.c:
  - Fixed the leak of the configuration file buffer
  - Fixed the leak of the array returned by g_key_file_get_groups

  * libhildondesktop/hildon-desktop-popup-menu.ch:
  - Each item has a pre-specified size except GtkSeparatorMenuItems.
  - Added method to scroll to pre-selected item. Based on size of each item.
  - Now inherits from a GtkVBox
  - Set proper size to internal GtkScrolledWindow.
  - Added scroll buttons.
  - Several bugfixes.
  * libhildondesktop/hildon-desktop-popup-window.ch:
  - Emit signal when popping up the menu. (to be used along
  "scrolling-to" HildonDesktopPopupMenu functionality).

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 26 Apr 2007 15:12:19 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Johan Bilien <johan.bilien@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libhildon1-dev | hildon-libs-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev | hildon-libs-dev, libhildonhelp-dev | libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev
+Build-Depends: debhelper (>= 4.0.0), libhildon1-dev | hildon-libs-dev, pkg-config, libosso-dev (>= 0.9.19), libosso-gnomevfs2-dev, osso-af-settings, libhildonfm2-dev | hildon-fm-dev, libhildonhelp-dev | libosso-help-dev, libxtst-dev, libxml2-dev, osso-esd-dev
 Standards-Version: 3.6.0
  
 Package: hildon-desktop
